# VisualStudioExtension

API Documentation: | `VisualStudioExtension`

Note: This class is incubating and may change in a future version of Gradle.

The configuration for mapping a set of `NativeComponentSpec`s to a Visual Studio project.

### Properties

Property | Description
`projects` | Incubating The `VisualStudioProject`s generated.
`solutions` | Incubating The `VisualStudioSolution`s generated.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### ``NamedDomainObjectSet`<? extends `VisualStudioProject`>` `projects` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The `VisualStudioProject`s generated.

#### ``NamedDomainObjectSet`<? extends `VisualStudioSolution`>` `solutions` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The `VisualStudioSolution`s generated.